OpenStack Compute (Nova)

API 'v1.1/{tenant_id}/os-hosts' does not return a list of hosts

Reported by Joe Gordon on 2012-06-19
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Undecided
Joe Gordon
Essex
Medium
Unassigned
nova (Ubuntu)
Undecided
Adam Gandelman
Precise
Undecided
Unassigned

Bug Description

API 'v1.1/{tenant_id}/os-hosts' does not return a list of hosts. Instead it returns an empty set.

Fix proposed to branch: master
Review: https://review.openstack.org/8682

Changed in nova:
assignee: nobody → Joe Gordon (joe-gordon0)
status: New → In Progress

Reviewed: https://review.openstack.org/8682
Committed: http://github.com/openstack/nova/commit/2c0adf1304e73eb1c940a6fbfd50bf34f870e282
Submitter: Jenkins
Branch: master

commit 2c0adf1304e73eb1c940a6fbfd50bf34f870e282
Author: Joe Gordon <email address hidden>
Date: Tue Jun 19 02:27:53 2012 +0000

    Fix bug 1014925: fix os-hosts

    List all hosts API.

    Change-Id: I95231ac98223c7b8cc07e867283da8c8d90fed38

Changed in nova:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2012-07-04
Changed in nova:
milestone: none → folsom-2
status: Fix Committed → Fix Released
tags: added: essex-backport
Changed in nova (Ubuntu):
assignee: nobody → Adam Gandelman (gandelman-a)
status: New → In Progress

Reviewed: https://review.openstack.org/10168
Committed: http://github.com/openstack/nova/commit/08e5128ffd63acd14249db3930f05753abb8f848
Submitter: Jenkins
Branch: stable/essex

commit 08e5128ffd63acd14249db3930f05753abb8f848
Author: Adam Gandelman <email address hidden>
Date: Mon Jul 23 13:16:46 2012 -0700

    Backport fix for API listing of os-hosts.

    Backports fix for bug 1014925 to stable/essex, which resolves issue
    where querying /v1.1/$tenant/os-hosts returns an empty list.

    Original fix by Joe Gordon reviewed into Folsom at:

        https://review.openstack.org/#/c/8682/2

    Change-Id: I44ac2e519b7af9b8f3b37a42280ac6fe71c31a1c

Aimon Bustardo (aimonb) wrote :

What is the timeframe for getting this released to main ubuntu repo? or at least in a stable ppa?

On 08/20/2012 11:49 PM, Aimon Bustardo wrote:
> What is the timeframe for getting this released to main ubuntu repo? or
> at least in a stable ppa?
>

The stable PPA should contain the fix, its built directly from
stable/essex branch. Dont use those for production tho, its a testing PPA.

We're prepping the 2012.1.2 update into Ubuntu this week, should be out
soon. I"ll let you know when its available for testing.

Adam

Aimon Bustardo (aimonb) wrote :

That's great news Adam! We very much look forward to its deb release.

Dave Walker (davewalker) on 2012-08-24
Changed in nova (Ubuntu):
status: In Progress → Fix Released
Changed in nova (Ubuntu Precise):
status: New → Confirmed

Please find the attached test log from the Ubuntu Server Team's CI infrastructure. As part of the verification process for this bug, Nova has been deployed and configured across multiple nodes using precise-proposed as an installation source. After successful bring-up and configuration of the cluster, a number of exercises and smoke tests have be invoked to ensure the updated package did not introduce any regressions. A number of test iterations were carried out to catch any possible transient errors.

Please Note the list of installed packages at the top and bottom of the report.

For records of upstream test coverage of this update, please see the Jenkins links in the comments of the relevant upstream code-review(s):

Trunk review: https://review.openstack.org/8682
Stable review: https://review.openstack.org/10168

As per the provisional Micro Release Exception granted to this package by the Technical Board, we hope this contributes toward verification of this update.

Adam Gandelman (gandelman-a) wrote :

Test coverage log.

tags: added: verification-done
Launchpad Janitor (janitor) wrote :
Download full text (5.4 KiB)

This bug was fixed in the package nova - 2012.1.3+stable-20120827-4d2a4afe-0ubuntu1

---------------
nova (2012.1.3+stable-20120827-4d2a4afe-0ubuntu1) precise-proposed; urgency=low

  * New upstream snapshot, fixes FTBFS in -proposed. (LP: #1041120)
  * Resynchronize with stable/essex (4d2a4afe):
    - [5d63601] Inappropriate exception handling on kvm live/block migration
      (LP: #917615)
    - [ae280ca] Deleted floating ips can cause instance delete to fail
      (LP: #1038266)

nova (2012.1.3+stable-20120824-86fb7362-0ubuntu1) precise-proposed; urgency=low

  * New upstream snapshot. (LP: #1041120)
  * Dropped, superseded by new snapshot:
    - debian/patches/CVE-2012-3447.patch: [d9577ce]
    - debian/patches/CVE-2012-3371.patch: [25f5bd3]
    - debian/patches/CVE-2012-3360+3361.patch: [b0feaff]
  * Resynchronize with stable/essex (86fb7362):
    - [86fb736] Libvirt driver reports incorrect error when volume-detach fails
      (LP: #1029463)
    - [272b98d] nova delete lxc-instance umounts the wrong rootfs (LP: #971621)
    - [09217ab] Block storage connections are NOT restored on system reboot
      (LP: #1036902)
    - [d9577ce] CVE-2012-3361 not fully addressed (LP: #1031311)
    - [e8ef050] pycrypto is unused and the existing code is potentially insecure
      to use (LP: #1033178)
    - [3b4ac31] cannot umount guestfs (LP: #1013689)
    - [f8255f3] qpid_heartbeat setting in ineffective (LP: #1030430)
    - [413c641] Deallocation of fixed IP occurs before security group refresh
      leading to potential security issue in error / race conditions
      (LP: #1021352)
    - [219c5ca] Race condition in network/deallocate_for_instance() leads to
      security issue (LP: #1021340)
    - [f2bc403] cleanup_file_locks does not remove stale sentinel files
      (LP: #1018586)
    - [4c7d671] Deleting Flavor currently in use by instance creates error
      (LP: #994935)
    - [7e88e39] nova testsuite errors on newer versions of python-boto (e.g.
      2.5.2) (LP: #1027984)
    - [80d3026] NoMoreFloatingIps: Zero floating ips available after repeatedly
      creating and destroying instances over time (LP: #1017418)
    - [4d74631] Launching with source groups under load produces lazy load error
      (LP: #1018721)
    - [08e5128] API 'v1.1/{tenant_id}/os-hosts' does not return a list of hosts
      (LP: #1014925)
    - [801b94a] Restarting nova-compute removes ip packet filters (LP: #1027105)
    - [f6d1f55] instance live migration should create virtual_size disk image
      (LP: #977007)
    - [4b89b4f] [nova][volumes] Exceeding volumes, gigabytes and floating_ips
      quotas returns general uninformative HTTP 500 error (LP: #1021373)
    - [6e873bc] [nova][volumes] Exceeding volumes, gigabytes and floating_ips
      quotas returns general uninformative HTTP 500 error (LP: #1021373)
    - [7b215ed] Use default qemu-img cluster size in libvirt connection driver
    - [d3a87a2] Listing flavors with marker set returns 400 (LP: #956096)
    - [cf6a85a] nova-rootwrap hardcodes paths instead of using
      /sbin:/usr/sbin:/usr/bin:/bin (LP: #1013147)
    - [2efc87c] affinity filters don't work if scheduler_hints is None
      (LP: #1007573)
  ...

Read more...

Changed in nova (Ubuntu Precise):
status: Confirmed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Thierry Carrez (ttx) on 2012-09-27
Changed in nova:
milestone: folsom-2 → 2012.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers